@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;700&display=swap");
* {
  box-sizing: border-box;
}

/*
 * -- BASE STYLES --
 * Most of these are inherited from Base, but I want to change a few.
 */
html {
  line-height: 1.8rem;
}

@media screen and (max-width: 960px) {
  html {
    line-height: 1.8rem;
    font-size: 1rem;
  }
}

body {
  color: #757268;
  padding: 0;
  margin: 0;
  font-family: 'Noto Sans JP', sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #757268;
}

h1 span,
h2 span,
h3 span,
h4 span,
h5 span,
h6 span {
  font-size: 90%;
  margin-left: 0.5rem;
}

h1 {
  line-height: 3rem;
}

h3 {
  line-height: 2rem;
}

a {
  color: #1D88F5;
}

label {
  color: #96b5bf;
}

li {
  padding: 0.5vw;
}

img {
  object-fit: contain;
}

/** Layout */
.pw-card {
  border-radius: 2px;
  padding: 1rem;
  display: flex;
  flex-direction: column;
}

/** Custom Styles */
.pw-is-right {
  text-align: right;
}

.pw-is-center {
  text-align: center;
}

.pw-is-radius {
  border-radius: 20px;
}

@media screen and (max-width: 960px) {
  .pw-sp-rotate-90 {
    transform: rotate(90deg);
  }
}

/** item */
.pw-img-responsive {
  max-width: 100%;
  height: auto;
}

.pw-button-rainbow {
  border: none;
  padding: 1em;
  outline: none;
  color: white;
  text-transform: uppercase;
  font-weight: 900;
  font-style: 1.2em;
  letter-spacing: 0.2em;
  position: relative;
  z-index: 1;
  cursor: pointer;
  background: none;
  text-shadow: 3px 3px 10px rgba(0, 0, 0, 0.45);
}

.pw-button-rainbow:before, .pw-button-rainbow:after {
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 10em;
  transform: translateX(-50%) translateY(-50%);
  width: 105%;
  height: 105%;
  content: "";
  z-index: -2;
  background-size: 400% 400%;
  background: linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82);
}

.pw-button-rainbow:before {
  filter: blur(7px);
  transition: all 0.25s ease;
  animation: pulse 10s infinite ease;
}

.pw-button-rainbow:after {
  filter: blur(0.3px);
}

.pw-button-rainbow:hover:before {
  width: 115%;
  height: 115%;
}

.pw-square {
  width: 100%;
  position: relative;
}

.pw-square:before {
  content: "";
  display: block;
  padding-top: 100%;
}

.pw-square .pw-img-circle {
  border-radius: 50%;
  object-fit: cover;
  position: absolute;
  width: 95%;
  height: 95%;
  top: 0;
  left: 0;
  margin: auto;
}

/** onegoma */
.onegoma {
  --balloon-padding: 8%;
  --balloon-padding-tail: 10%;
  --character-margin-tail: -5%;
  display: flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.onegoma.left {
  flex-direction: row-reverse;
}

.balloon:not(.onegoma.left[data-frame="boom"]) {
  padding-right: var(--balloon-padding);
  padding-left: var(--balloon-padding-tail);
}

.onegoma.left .character {
  margin-right: var(--character-margin-tail);
  margin-left: 0;
}

.onegoma.left svg,
.onegoma.left object {
  transform: scale(-1, 1);
}

.onegoma.bottom {
  flex-direction: column;
}

.onegoma.bottom .character {
  margin: 0;
  margin-top: var(--character-margin-tail);
}

.onegoma .balloon {
  width: auto;
  margin: 10px;
  padding: var(--balloon-padding);
  padding-right: var(--balloon-padding-tail);
  font-size: 0.9rem;
  position: relative;
  z-index: 2;
}

.onegoma .balloon svg {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0px;
  top: 0px;
  z-index: -1;
}

.onegoma .balloon svg > * {
  fill: white;
}

.onegoma .balloon[data-frame="boom"] {
  padding: 15%;
  padding-top: 10%;
}

.onegoma .balloon[data-frame="thought"] {
  padding: 10%;
  padding-bottom: 15%;
}

.onegoma .balloon[data-frame="cloud"] {
  padding: 10%;
}

.onegoma .balloon[data-type="blue"] svg > * {
  fill: skyblue;
  stroke: transparent;
}

.onegoma .balloon[data-type="gold"] svg > * {
  fill: gold;
}

.onegoma .character {
  width: 25%;
  height: 25%;
  max-width: 250px;
  max-height: 250px;
  min-width: 100px;
  min-height: 100px;
  margin-left: var(--character-margin-tail);
  position: relative;
  text-align: center;
}

.onegoma .character object {
  width: 100%;
  box-shadow: none;
}

.onegoma .character object.face, .onegoma .character object.accessory {
  left: 0px;
  top: 0px;
  position: absolute;
}

.cm {
  --character-margin-tail: 5%;
  justify-content: flex-end;
}

.cm .character {
  width: 5%;
}

.pw-button {
  display: block;
  padding: 0.5rem;
  border-radius: 3px;
  outline: none;
  border: none;
  filter: drop-shadow(2px 2px 0.2rem rgba(0, 0, 0, 0.1));
}

.pw-button-radius {
  padding: 0.5rem 1rem;
  border-radius: 100vh;
}

.pw-button-circle {
  border-radius: 50%;
}

input {
  padding: 0.5rem 1rem;
}

.pw-input {
  border-radius: 3px;
  /*ボックス角の丸み*/
  border: 2px solid #ddd;
  /*枠線*/
  box-sizing: border-box;
  /*横幅の解釈をpadding, borderまでとする*/
}

.pw-container {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
}

.pw-section {
  width: 100%;
  padding: 5rem 1rem;
}

.pw-section.bg-fixed {
  background-attachment: fixed;
  object-fit: contain;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
}

/** ***** Layout ***** */
/** flex */
.pw-f-row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.pw-f-column {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}

.pw-f-start-start {
  align-items: start;
  justify-content: start;
}

.pw-f-start-center {
  align-items: start;
  justify-content: center;
}

.pw-f-start-end {
  align-items: start;
  justify-content: end;
}

.pw-f-center-start {
  align-items: center;
  justify-content: start;
}

.pw-f-center-center {
  align-items: center;
  justify-content: center;
}

.pw-f-center-end {
  align-items: center;
  justify-content: end;
}

.pw-f-end-start {
  align-items: end;
  justify-content: start;
}

.pw-f-end-center {
  align-items: end;
  justify-content: center;
}

.pw-f-end-end {
  align-items: end;
  justify-content: end;
}

.pw-f-end {
  justify-content: flex-end;
}

.pw-f-start {
  justify-content: flex-start;
}

.pw-f-between {
  justify-content: space-between;
}

.pw-f-centerline {
  align-items: center;
}

.pw-f-baseline {
  align-items: baseline;
}

.pw-f-grow {
  flex-grow: 2;
}

.pw-position-fixed {
  position: fixed;
  z-index: 10;
}

/** Spacing */
.pw-m-auto {
  margin: auto;
}

.pw-m-none {
  margin: 0px;
}

.pw-p {
  padding: 1rem;
}

.pw-m {
  margin: 1rem;
}

.pw-p-left {
  padding-left: 1rem;
}

.pw-m-left {
  margin-left: 1rem;
}

.pw-p-top {
  padding-top: 1rem;
}

.pw-m-top {
  margin-top: 1rem;
}

.pw-p-right {
  padding-right: 1rem;
}

.pw-m-right {
  margin-right: 1rem;
}

.pw-p-bottom {
  padding-bottom: 1rem;
}

.pw-m-bottom {
  margin-bottom: 1rem;
}

.pw-p-s {
  padding: 0.5rem;
}

.pw-m-s {
  margin: 0.5rem;
}

.pw-p-left-s {
  padding-left: 0.5rem;
}

.pw-m-left-s {
  margin-left: 0.5rem;
}

.pw-p-top-s {
  padding-top: 0.5rem;
}

.pw-m-top-s {
  margin-top: 0.5rem;
}

.pw-p-right-s {
  padding-right: 0.5rem;
}

.pw-m-right-s {
  margin-right: 0.5rem;
}

.pw-p-bottom-s {
  padding-bottom: 0.5rem;
}

.pw-m-bottom-s {
  margin-bottom: 0.5rem;
}

.pw-p-m {
  padding: 3rem;
}

.pw-m-m {
  margin: 3rem;
}

.pw-p-left-m {
  padding-left: 3rem;
}

.pw-m-left-m {
  margin-left: 3rem;
}

.pw-p-top-m {
  padding-top: 3rem;
}

.pw-m-top-m {
  margin-top: 3rem;
}

.pw-p-right-m {
  padding-right: 3rem;
}

.pw-m-right-m {
  margin-right: 3rem;
}

.pw-p-bottom-m {
  padding-bottom: 3rem;
}

.pw-m-bottom-m {
  margin-bottom: 3rem;
}

.pw-p-l {
  padding: 5rem;
}

.pw-m-l {
  margin: 5rem;
}

.pw-p-left-l {
  padding-left: 5rem;
}

.pw-m-left-l {
  margin-left: 5rem;
}

.pw-p-top-l {
  padding-top: 5rem;
}

.pw-m-top-l {
  margin-top: 5rem;
}

.pw-p-right-l {
  padding-right: 5rem;
}

.pw-m-right-l {
  margin-right: 5rem;
}

.pw-p-bottom-l {
  padding-bottom: 5rem;
}

.pw-m-bottom-l {
  margin-bottom: 5rem;
}

.pw-p-auto {
  padding: autorem;
}

.pw-m-auto {
  margin: autorem;
}

.pw-p-left-auto {
  padding-left: autorem;
}

.pw-m-left-auto {
  margin-left: autorem;
}

.pw-p-top-auto {
  padding-top: autorem;
}

.pw-m-top-auto {
  margin-top: autorem;
}

.pw-p-right-auto {
  padding-right: autorem;
}

.pw-m-right-auto {
  margin-right: autorem;
}

.pw-p-bottom-auto {
  padding-bottom: autorem;
}

.pw-m-bottom-auto {
  margin-bottom: autorem;
}

.pw-p-none {
  padding: 0px;
}

@media screen and (min-width: 960px) {
  .pw-sp-br {
    display: none;
  }
}

@media screen and (max-width: 960px) {
  .pw-sp-br {
    display: block;
  }
}

/** Sizing */
/* Width */
.pw-w-50 {
  width: 50%;
}

.pw-w-100 {
  width: 100%;
}

.pw-w-50vw {
  width: 50vw;
}

.pw-w-80vw {
  width: 80vw;
}

.pw-w-100vw {
  width: 100vw;
}

.pw-w-1-1 {
  width: calc(100% / 1 * 1);
}

.pw-w-1-2 {
  width: calc(100% / 2 * 1);
}

.pw-w-2-2 {
  width: calc(100% / 2 * 2);
}

.pw-w-1-3 {
  width: calc(100% / 3 * 1);
}

.pw-w-2-3 {
  width: calc(100% / 3 * 2);
}

.pw-w-3-3 {
  width: calc(100% / 3 * 3);
}

.pw-w-1-4 {
  width: calc(100% / 4 * 1);
}

.pw-w-2-4 {
  width: calc(100% / 4 * 2);
}

.pw-w-3-4 {
  width: calc(100% / 4 * 3);
}

.pw-w-4-4 {
  width: calc(100% / 4 * 4);
}

.pw-w-1-5 {
  width: calc(100% / 5 * 1);
}

.pw-w-2-5 {
  width: calc(100% / 5 * 2);
}

.pw-w-3-5 {
  width: calc(100% / 5 * 3);
}

.pw-w-4-5 {
  width: calc(100% / 5 * 4);
}

.pw-w-5-5 {
  width: calc(100% / 5 * 5);
}

.pw-w-1-6 {
  width: calc(100% / 6 * 1);
}

.pw-w-2-6 {
  width: calc(100% / 6 * 2);
}

.pw-w-3-6 {
  width: calc(100% / 6 * 3);
}

.pw-w-4-6 {
  width: calc(100% / 6 * 4);
}

.pw-w-5-6 {
  width: calc(100% / 6 * 5);
}

.pw-w-6-6 {
  width: calc(100% / 6 * 6);
}

.pw-w-1-7 {
  width: calc(100% / 7 * 1);
}

.pw-w-2-7 {
  width: calc(100% / 7 * 2);
}

.pw-w-3-7 {
  width: calc(100% / 7 * 3);
}

.pw-w-4-7 {
  width: calc(100% / 7 * 4);
}

.pw-w-5-7 {
  width: calc(100% / 7 * 5);
}

.pw-w-6-7 {
  width: calc(100% / 7 * 6);
}

.pw-w-7-7 {
  width: calc(100% / 7 * 7);
}

.pw-w-1-8 {
  width: calc(100% / 8 * 1);
}

.pw-w-2-8 {
  width: calc(100% / 8 * 2);
}

.pw-w-3-8 {
  width: calc(100% / 8 * 3);
}

.pw-w-4-8 {
  width: calc(100% / 8 * 4);
}

.pw-w-5-8 {
  width: calc(100% / 8 * 5);
}

.pw-w-6-8 {
  width: calc(100% / 8 * 6);
}

.pw-w-7-8 {
  width: calc(100% / 8 * 7);
}

.pw-w-8-8 {
  width: calc(100% / 8 * 8);
}

.pw-w-1-9 {
  width: calc(100% / 9 * 1);
}

.pw-w-2-9 {
  width: calc(100% / 9 * 2);
}

.pw-w-3-9 {
  width: calc(100% / 9 * 3);
}

.pw-w-4-9 {
  width: calc(100% / 9 * 4);
}

.pw-w-5-9 {
  width: calc(100% / 9 * 5);
}

.pw-w-6-9 {
  width: calc(100% / 9 * 6);
}

.pw-w-7-9 {
  width: calc(100% / 9 * 7);
}

.pw-w-8-9 {
  width: calc(100% / 9 * 8);
}

.pw-w-9-9 {
  width: calc(100% / 9 * 9);
}

.pw-w-1-10 {
  width: calc(100% / 10 * 1);
}

.pw-w-2-10 {
  width: calc(100% / 10 * 2);
}

.pw-w-3-10 {
  width: calc(100% / 10 * 3);
}

.pw-w-4-10 {
  width: calc(100% / 10 * 4);
}

.pw-w-5-10 {
  width: calc(100% / 10 * 5);
}

.pw-w-6-10 {
  width: calc(100% / 10 * 6);
}

.pw-w-7-10 {
  width: calc(100% / 10 * 7);
}

.pw-w-8-10 {
  width: calc(100% / 10 * 8);
}

.pw-w-9-10 {
  width: calc(100% / 10 * 9);
}

.pw-w-10-10 {
  width: calc(100% / 10 * 10);
}

.pw-w-1-11 {
  width: calc(100% / 11 * 1);
}

.pw-w-2-11 {
  width: calc(100% / 11 * 2);
}

.pw-w-3-11 {
  width: calc(100% / 11 * 3);
}

.pw-w-4-11 {
  width: calc(100% / 11 * 4);
}

.pw-w-5-11 {
  width: calc(100% / 11 * 5);
}

.pw-w-6-11 {
  width: calc(100% / 11 * 6);
}

.pw-w-7-11 {
  width: calc(100% / 11 * 7);
}

.pw-w-8-11 {
  width: calc(100% / 11 * 8);
}

.pw-w-9-11 {
  width: calc(100% / 11 * 9);
}

.pw-w-10-11 {
  width: calc(100% / 11 * 10);
}

.pw-w-11-11 {
  width: calc(100% / 11 * 11);
}

.pw-w-1-12 {
  width: calc(100% / 12 * 1);
}

.pw-w-2-12 {
  width: calc(100% / 12 * 2);
}

.pw-w-3-12 {
  width: calc(100% / 12 * 3);
}

.pw-w-4-12 {
  width: calc(100% / 12 * 4);
}

.pw-w-5-12 {
  width: calc(100% / 12 * 5);
}

.pw-w-6-12 {
  width: calc(100% / 12 * 6);
}

.pw-w-7-12 {
  width: calc(100% / 12 * 7);
}

.pw-w-8-12 {
  width: calc(100% / 12 * 8);
}

.pw-w-9-12 {
  width: calc(100% / 12 * 9);
}

.pw-w-10-12 {
  width: calc(100% / 12 * 10);
}

.pw-w-11-12 {
  width: calc(100% / 12 * 11);
}

.pw-w-12-12 {
  width: calc(100% / 12 * 12);
}

@media screen and (max-width: 960px) {
  .pw-sp-w-1-1 {
    width: calc(100% / 1 * 1);
  }
  .pw-sp-w-1-2 {
    width: calc(100% / 2 * 1);
  }
  .pw-sp-w-2-2 {
    width: calc(100% / 2 * 2);
  }
  .pw-sp-w-1-3 {
    width: calc(100% / 3 * 1);
  }
  .pw-sp-w-2-3 {
    width: calc(100% / 3 * 2);
  }
  .pw-sp-w-3-3 {
    width: calc(100% / 3 * 3);
  }
  .pw-sp-w-1-4 {
    width: calc(100% / 4 * 1);
  }
  .pw-sp-w-2-4 {
    width: calc(100% / 4 * 2);
  }
  .pw-sp-w-3-4 {
    width: calc(100% / 4 * 3);
  }
  .pw-sp-w-4-4 {
    width: calc(100% / 4 * 4);
  }
  .pw-sp-w-1-5 {
    width: calc(100% / 5 * 1);
  }
  .pw-sp-w-2-5 {
    width: calc(100% / 5 * 2);
  }
  .pw-sp-w-3-5 {
    width: calc(100% / 5 * 3);
  }
  .pw-sp-w-4-5 {
    width: calc(100% / 5 * 4);
  }
  .pw-sp-w-5-5 {
    width: calc(100% / 5 * 5);
  }
  .pw-sp-w-1-6 {
    width: calc(100% / 6 * 1);
  }
  .pw-sp-w-2-6 {
    width: calc(100% / 6 * 2);
  }
  .pw-sp-w-3-6 {
    width: calc(100% / 6 * 3);
  }
  .pw-sp-w-4-6 {
    width: calc(100% / 6 * 4);
  }
  .pw-sp-w-5-6 {
    width: calc(100% / 6 * 5);
  }
  .pw-sp-w-6-6 {
    width: calc(100% / 6 * 6);
  }
}

/* height */
.pw-h-50 {
  height: 50%;
}

.pw-h-100 {
  height: 100%;
}

.pw-h-50vh {
  height: 50vh;
}

.pw-h-80vh {
  height: 80vh;
}

.pw-h-100vh {
  height: 100vh;
}

/** Text */
.pw-text-primary {
  color: #96b5bf;
}

.pw-text-secondary {
  color: #A9B2B6;
}

.pw-text-accent {
  color: #757268;
}

.pw-text-dark {
  color: #423f38;
}

.pw-text-light {
  color: #f5e9cf;
}

.pw-text-text {
  color: #757268;
}

.pw-text-danger {
  color: #f44336;
}

.pw-text-warning {
  color: #e0a139;
}

.pw-text-success {
  color: #62b171;
}

.pw-text-info {
  color: #1D88F5;
}

.pw-text-snow {
  color: #F9F9F9;
}

.pw-text-white {
  color: white;
}

.pw-text-bg-primary {
  background-color: #96b5bf;
  color: white;
}

.pw-text-bg-secondary {
  background-color: #A9B2B6;
  color: white;
}

.pw-text-bg-accent {
  background-color: #757268;
  color: white;
}

.pw-text-bg-dark {
  background-color: #423f38;
  color: white;
}

.pw-text-bg-light {
  background-color: #f5e9cf;
  color: white;
}

.pw-text-bg-text {
  background-color: #757268;
  color: white;
}

.pw-text-bg-danger {
  background-color: #f44336;
  color: white;
}

.pw-text-bg-warning {
  background-color: #e0a139;
  color: white;
}

.pw-text-bg-success {
  background-color: #62b171;
  color: white;
}

.pw-text-bg-info {
  background-color: #1D88F5;
  color: white;
}

.pw-text-bg-snow {
  background-color: #F9F9F9;
  color: white;
}

.pw-text-bg-white {
  background-color: white;
  color: white;
}

.pw-text-s {
  font-size: 0.9rem;
  line-height: 1.4rem;
  letter-spacing: 0.05rem;
  font-weight: 300;
}

.pw-text-m {
  font-size: 1.1rem;
  line-height: 2rem;
  letter-spacing: 0.1rem;
}

.pw-text-l {
  font-size: 2rem;
  line-height: 2.2rem;
  letter-spacing: 0.1rem;
}

.pw-text-bold {
  font-weight: bold;
}

@media screen and (max-width: 960px) {
  .pw-sp-text-default {
    font-size: inherit;
    line-height: inherit;
  }
}

.pw-maintitle {
  font-size: 3rem;
  font-weight: bold;
  color: white;
  padding: 1.5rem 0.5rem;
  font-weight: 100;
  line-height: 4rem;
}

@media screen and (max-width: 960px) {
  .pw-maintitle {
    font-size: 2rem;
    line-height: 3rem;
  }
}

.pw-text-clip {
  background-position: center;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/** Background */
.pw-bg-primary {
  background-color: #96b5bf;
}

.pw-bg-secondary {
  background-color: #A9B2B6;
}

.pw-bg-accent {
  background-color: #757268;
}

.pw-bg-dark {
  background-color: #423f38;
}

.pw-bg-light {
  background-color: #f5e9cf;
}

.pw-bg-text {
  background-color: #757268;
}

.pw-bg-danger {
  background-color: #f44336;
}

.pw-bg-warning {
  background-color: #e0a139;
}

.pw-bg-success {
  background-color: #62b171;
}

.pw-bg-info {
  background-color: #1D88F5;
}

.pw-bg-snow {
  background-color: #F9F9F9;
}

.pw-bg-white {
  background-color: white;
}

.pw-bg-fixed {
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
